<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 6;

$sightsArray = array();

$longName = 'Raumbelegung';
$tool_id = 5;
$toolName = 'HmRaumbelegung';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Raumübersicht';
$sight->id = 'Raumbelegung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumübersicht';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\RaumUebersicht\RaumUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Raum';
$sight->id = 'Raum';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumübersicht';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\RaumUebersicht\RaumView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Medienübersicht';
$sight->id = 'Medienuebersicht';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Medienübersicht';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\MedienUebersicht\MedienUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Medieneintrag';
$sight->id = 'Medien';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Medienübersicht';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\MedienUebersicht\MedienEintragView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Markieren-Dialog';
$sight->id = 'Markieren';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Raumübersicht';
$sight->showNoData = false;
$sight->view = new \Kufer\Web\KuferTools\Ausgaben\Markieren\MarkierenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter-Dialog';
$sight->id = 'RaumbelegungFilter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumübersicht';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\ShowFilter\ShowFilterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Raumdetails';
$sight->id = 'Raumdetails';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\RaumDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Termine (Raumbelegung)';
$sight->id = 'ReiterTermine';
$sight->group = 'Raumdetails';
$sight->subGroup = 'Reiter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\Termine\ReiterTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Termin View';
$sight->id = 'Termin';
$sight->group = 'Raumdetails';
$sight->subGroup = 'Reiter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Checkbox Beschriftung';
$sight->nameBody = 'Zusätzlicher Zeileninhalt';
$sight->nameFooter = 'Checkbox Attribute';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\Termine\TerminRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter Termine';
$sight->id = 'FilterTermine';
$sight->group = 'Raumdetails';
$sight->subGroup = 'Reiter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Kurse';
$sight->id = 'ReiterKurse';
$sight->group = 'Raumdetails';
$sight->subGroup = 'Reiter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\Kurse\ReiterKurseView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurse';
$sight->id = 'Kurse';
$sight->group = 'Raumdetails';
$sight->subGroup = 'Reiter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Checkbox Beschriftung';
$sight->nameBody = 'Zusätzlicher Zeileninhalt';
$sight->nameFooter = 'Checkbox Attribute';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\Kurse\KursRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Raumdetails - Reiter';
$sight->id = 'ReiterRaumdetails';
$sight->group = 'Raumdetails';
$sight->subGroup = 'Reiter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\RaumDetails\ReiterRaumDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Grafischer Belegungsplan';
$sight->id = 'GebaeudeGrafik';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Grafischer Belegungsplan';
$sight->view = new \Kufer\Web\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Grafischer Belegungsplan Tabellenzeile';
$sight->id = 'GebaeudeGrafikRow';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Zeilenbeginn';
$sight->nameBody = 'Zellenbeginn';
$sight->nameFooter = 'Zellenende';
$sight->nameNoData = 'Zeilenende';
$sight->group = 'Grafischer Belegungsplan';
$sight->view = new \Kufer\Web\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Grafischer Belegungsplan Tabelleneintrag';
$sight->id = 'GebaeudeGrafikEntry';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Beginn';
$sight->nameBody = 'Inhalt';
$sight->nameFooter = 'Ende';
$sight->showNoData = false;
$sight->group = 'Grafischer Belegungsplan';
$sight->view = new \Kufer\Web\KuferTools\Basis\GebaeudeGrafik\GebauedeGrafikEntryView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Übersicht Kurstermine';
$sight->id = 'RaumGrafik';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Übersicht Kurstermine (Grafik)';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Übersicht Kurstermine (Zeilen)';
$sight->id = 'RaumGrafikRow';
$sight->toolid = 'MaRaumbelegung';
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Übersicht Kurstermine (Grafik)';
$sight->nameHeader = 'Kopfzeile Tag';
$sight->nameBody = 'Kopfzeile Zelle';
$sight->nameFooter = 'Fußzeile Zelle';
$sight->nameNoData = 'Fußzeile Tag';
$sight->view = new \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Übersicht Kurstermine (Einträge)';
$sight->id = 'RaumGrafikEntry';
$sight->toolid = 'MaRaumbelegung';
$sight->toolGroup = $toolName;
$sight->group = 'Raumdetails';
$sight->subGroup = 'Übersicht Kurstermine (Grafik)';
$sight->view = new \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikEntryView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Stundenplan-Grafik Dialog';
$sight->id = 'StundenplanGrafik';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Stundenplan\Dialog\StundenplanDialogView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Hausmeisterlisten Einstellungen';
$sight->id = 'ShowSettingsHmListen';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'PDF Listen';
$sight->view = new \Kufer\Web\KuferTools\Hausmeister\Raumbelegung\PdfListen\Hausmeisterlisten\Einstellungen\ShowSettingsHmListenView(null);
array_push($sightsArray, $sight);